﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Schedulings
{
	public class SchedulingShiftDto : ShiftBaseDto
	{
		/// <summary>
		/// 班次名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 上班时间
		/// </summary>
		public TimeSpan? WorkingTime { get; set; }

		/// <summary>
		/// 下班时间
		/// </summary>
		public TimeSpan? OffDutyTime { get; set; }
	}

	public class ShiftAddDto
	{
		/// <summary>
		/// 班次名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 上班时间
		/// </summary>
		public TimeSpan? WorkingTime { get; set; }

		/// <summary>
		/// 下班时间
		/// </summary>
		public TimeSpan? OffDutyTime { get; set; }
	}
	public class ShiftUpdateDto : ShiftAddDto
	{
		public string Id { get; set; }
	}

	public class ShiftDeleteDto
	{
		public List<string> Ids { get; set; }
	}
	public class ShiftBaseDto
	{
		public DateTime? LastModificationTime { get; set; }

		public bool IsDeleted { get; set; }

		/// <summary>
		/// 删除时间
		/// </summary>
		public DateTime? DeletionTime { get; set; }


		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime CreationTime { get; set; }

		public string Id { get; set; }

		/// <summary>
		/// 组织Id
		/// </summary>
		public string? CreatorOrgId { get; set; }


		public string? CreatorOrgName { get; set; }

		/// <summary>
		/// 创建人
		/// </summary>
		public string? CreatorId { get; set; }

		public string? CreatorName { get; set; }
	}

	public record ShiftListDto : PagedKeywordRequest
	{

	}
}
